﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable table = new DataTable();

            table.Columns.Add("Dosage", typeof(bool));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(Decimal));
            table.Columns.Add("Date", typeof(DateTime));


            table.Rows.Add(false, "Indocin", new Decimal(123.456), new DateTime(2012, 2, 29, 2, 2, 2));
            table.Rows.Add(true, "Enebrel", 18, new DateTime(2012, 2, 28, 12, 2, 2));
            table.Rows.Add(false, "Hydralazine", 34.6, new DateTime(2012, 4, 3, 2, 2, 2));
            table.Rows.Add(true, "Combivent", 34, new DateTime(2012, 4, 1, 2, 2, 2));
            table.Rows.Add(false, "Dilantin", 789, new DateTime(2012, 4, 8, 2, 2, 2));

            this.DataContext = table.DefaultView;

        }
    }
}
